Get FA trend data
curl --request GET \
--url https://api.valiqor.com/v2/failure-analysis/insights/trends \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.valiqor.com/v2/failure-analysis/insights/trends"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.valiqor.com/v2/failure-analysis/insights/trends', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"period_days": 123,
"project_name": "<string>",
"trend_data": [
{
"date": "<string>",
"failure_count": 123,
"pass_count": 123,
"total_runs": 123,
"failure_rate": 0
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Failure Analysis
Get FA trend data
Get time-series trend data for charting
GET
/
v2
/
failure-analysis
/
insights
/
trends
Get FA trend data
Authorizations
Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx
Query Parameters
Number of days to analyze
Required range:
1 <= x <= 365Filter by project name
⌘I